<?php
/**
*
* @package shmk user feedback
* @version $Id: feedback.php 1.0.7 riccardob $
* @copyright (c) 2014 Riccardo Bianconi
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
define('UMIL_AUTO', true);
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);

include($phpbb_root_path . 'common.' . $phpEx);
$user->session_begin();
$auth->acl($user->data);
$user->setup();


if (!file_exists($phpbb_root_path . 'umil/umil_auto.' . $phpEx))
{
	trigger_error('Please download the latest UMIL (Unified MOD Install Library) from: <a href="http://www.phpbb.com/mods/umil/">phpBB.com/mods/umil</a>', E_USER_ERROR);
}

// The name of the mod to be displayed during installation.
$mod_name = 'ShMk User Feedback';

/*
* The name of the config variable which will hold the currently installed version
* UMIL will handle checking, setting, and updating the version itself.
*/
$version_config_name = 'shmk_user_feedback_version';

/*
* The array of versions and actions within each.
* You do not need to order it a specific way (it will be sorted automatically), however, you must enter every version, even if no actions are done for it.
*
* You must use correct version numbering.  Unless you know exactly what you can use, only use X.X.X (replacing X with an integer).
* The version numbering must otherwise be compatible with the version_compare function - http://php.net/manual/en/function.version-compare.php
*/
$versions = array(
	'1.0.7' => array(

		'permission_add' => array(
			array('u_fb_access', 1),
			array('u_fb_add', 1),
			array('u_fb_edit', 1),
			array('u_fb_delete', 1),
			array('u_fb_addmore', 1),
			array('u_fb_ignoreflood', 1),
			array('u_fb_bbcode', 1),
			array('u_fb_smilies', 1),
			array('m_fb_edit', 1),
			array('m_fb_delete', 1),
			array('m_fb_viewip', 1),
		),

		'table_add' => array(
			array('phpbb_shmk_feedback_tot', array(
				'COLUMNS' => array(
					'fb_user' => array('USINT', '0'),
					'fb_pos' => array('INT:4', '0'),
					'fb_neg' => array('INT:4', '0'),
					'fb_neu' => array('INT:4', '0'),
				),
				
				'PRIMARY_KEY' => 'fb_user',
			)),

			array('phpbb_shmk_feedback', array(
				'COLUMNS' => array(
					'fb_id' => array('UINT', NULL, 'auto_increment'),
					'fb_to' => array('UINT', '0'),
					'fb_from' => array('UINT', '0'),
					'fb_role' => array('BOOL', '0'),
					'fb_vote' => array('BOOL', '2'),
					'fb_link' => array('UINT', '0'),
					'fb_comment' => array('TEXT', ''),
					'fb_ip' => array('VCHAR:40', ''),
					'fb_date' => array('TIMESTAMP', '0'),
					'bbcode_bitfield' => array('VCHAR', ''),
					'bbcode_uid' => array('VCHAR:8', ''),
				),
				
				'PRIMARY_KEY' => 'fb_id',

				'KEYS' => array(
					'fb_to' => array('INDEX', array('fb_to')),
				),
			)),

			array('phpbb_shmk_feedback_config', array(
				'COLUMNS' => array(
					'fb_config' => array('VCHAR', ''),
					'fb_config_val' => array('VCHAR', ''),
				),
				
				'PRIMARY_KEY'    => 'fb_config',
			)),

		),

		'config_add' => array(
			array('fb_score', '0', 0),
			array('fb_score_pos', '1', 0),
			array('fb_score_neu', '0', 0),
			array('fb_score_neg', '-1', 0),
		),
		
		'table_row_insert' => array(
			array('phpbb_shmk_feedback_config', array(
				array(
					'fb_config' => 'comm_minchars',
					'fb_config_val' => '0',
				),
				array(
					'fb_config' => 'comm_maxchars',
					'fb_config_val' => '500',
				),
				array(
					'fb_config' => 'comm_bbcode',
					'fb_config_val' => '0',
				),
				array(
					'fb_config' => 'comm_smilies',
					'fb_config_val' => '1',
				),
				array(
					'fb_config' => 'comm_url',
					'fb_config_val' => '0',
				),
				array(
					'fb_config' => 'link_enable',
					'fb_config_val' => '0',
				),
				array(
					'fb_config' => 'link_force',
					'fb_config_val' => '0',
				),
				array(
					'fb_config' => 'link_force_in',
					'fb_config_val' => '0',
				),
				array(
					'fb_config' => 'link_forum',
					'fb_config_val' => '',
				),
				array(
					'fb_config' => 'm_haspower',
					'fb_config_val' => '0',
				),
				array(
					'fb_config' => 'role_enable',
					'fb_config_val' => '1',
				),
				array(
					'fb_config' => 'top_best',
					'fb_config_val' => '50',
				),
				array(
					'fb_config' => 'top_main',
					'fb_config_val' => '10',
				),

				array(
					'fb_config' => 'top_worst',
					'fb_config_val' => '50',
				),
				array(
					'fb_config' => 'u_canedit',
					'fb_config_val' => '1',
				),
				array(
					'fb_config' => 'u_morethenone',
					'fb_config_val' => '0',
				),
				array(
					'fb_config' => 'antiflood',
					'fb_config_val' => '0',
				),
				array(
					'fb_config' => 'antiflood_same',
					'fb_config_val' => '0',
				),
			)),
		),
		
		'module_add' => array(
			array('acp', 'ACP_CAT_DOT_MODS', 'ACP_FB'),
		
			array('acp', 'ACP_FB', array(
					'module_basename' => 'feedback',
					'modes' => array('prefs', 'manage'),
				),
			),
		),

	),
);

// Include the UMIL Auto file, it handles the rest
include($phpbb_root_path . 'umil/umil_auto.' . $phpEx);